PartBase (HttpClient Library (Version 3.1))
Date: 2018-05-07

org.apache.commons.httpclient.methods.multipart

## Class PartBase

- java.lang.Object
- - org.apache.commons.httpclient.methods.multipart.Part
  - - org.apache.commons.httpclient.methods.multipart.PartBase

- Direct Known Subclasses:
    FilePart, StringPart

      public abstract class PartBase
      extends Part

  Provides setters and getters for the basic Part properties.
  Author:
    Michael Becke

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.httpclient.methods.multipart.Part

      `BOUNDARY, BOUNDARY_BYTES, CHARSET, CHARSET_BYTES, CONTENT_DISPOSITION, CONTENT_DISPOSITION_BYTES, CONTENT_TRANSFER_ENCODING, CONTENT_TRANSFER_ENCODING_BYTES, CONTENT_TYPE, CONTENT_TYPE_BYTES, CRLF, CRLF_BYTES, EXTRA, EXTRA_BYTES, QUOTE, QUOTE_BYTES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartBase(java.lang.String name, java.lang.String contentType, java.lang.String charSet, java.lang.String transferEncoding)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCharSet()` Return the character encoding of this part.
    `java.lang.String` | `getContentType()` Returns the content type of this part.
    `java.lang.String` | `getName()` Returns the name.
    `java.lang.String` | `getTransferEncoding()` Returns the transfer encoding of this part.
    `void` | `setCharSet(java.lang.String charSet)` Sets the character encoding.
    `void` | `setContentType(java.lang.String contentType)` Sets the content type.
    `void` | `setName(java.lang.String name)` Sets the part name.
    `void` | `setTransferEncoding(java.lang.String transferEncoding)` Sets the transfer encoding.

    - ### Methods inherited from class org.apache.commons.httpclient.methods.multipart.Part

      `getBoundary, getLengthOfParts, getLengthOfParts, getPartBoundary, isRepeatable, length, lengthOfData, send, sendContentTypeHeader, sendData, sendDispositionHeader, sendEnd, sendEndOfHeader, sendParts, sendParts, sendStart, sendTransferEncodingHeader, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartBase

          public PartBase(java.lang.String name,
                  java.lang.String contentType,
                  java.lang.String charSet,
                  java.lang.String transferEncoding)

      Constructor.
      Parameters:
        `name` - The name of the part
        `contentType` - The content type, or `null`
        `charSet` - The character encoding, or `null`
        `transferEncoding` - The transfer encoding, or `null`

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the name.
      Specified by:
        `getName` in class `Part`
      Returns:
        The name.
      See Also:
        `Part.getName()`

    - #### getContentType

          public java.lang.String getContentType()

      Returns the content type of this part.
      Specified by:
        `getContentType` in class `Part`
      Returns:
        String The name.

    - #### getCharSet

          public java.lang.String getCharSet()

      Return the character encoding of this part.
      Specified by:
        `getCharSet` in class `Part`
      Returns:
        String The name.

    - #### getTransferEncoding

          public java.lang.String getTransferEncoding()

      Returns the transfer encoding of this part.
      Specified by:
        `getTransferEncoding` in class `Part`
      Returns:
        String The name.

    - #### setCharSet

          public void setCharSet(java.lang.String charSet)

      Sets the character encoding.
      Parameters:
        `charSet` - the character encoding, or `null` to exclude the character encoding header

    - #### setContentType

          public void setContentType(java.lang.String contentType)

      Sets the content type.
      Parameters:
        `contentType` - the content type, or `null` to exclude the content type header

    - #### setName

          public void setName(java.lang.String name)

      Sets the part name.
      Parameters:
        `name` -

    - #### setTransferEncoding

          public void setTransferEncoding(java.lang.String transferEncoding)

      Sets the transfer encoding.
      Parameters:
        `transferEncoding` - the transfer encoding, or `null` to exclude the transfer encoding header

Copyright (c) 1999-2005 - Apache Software Foundation